Subject: Re: [PATCH]: sunvnet netdev ops conversion...

From: Stephen Hemminger <[email-masked]>
Date: Fri, 20 Mar 2009 09:16:18 -0700

On Fri, 20 Mar 2009 15:19:50 +0100
Jiri Pirko <[email-masked]> wrote:

> Fri, Mar 20, 2009 at 12:43:00PM CET, [email-masked] wrote:
> >David Miller <[email-masked]> writes:
> >> From: Yang Hongyang <[email-masked]>
> >> Date: Fri, 20 Mar 2009 16:30:59 +0800
> >>
> >>> David Miller wrote:
> >>> > Committed to net-next-2.6...
> >>> > 
> >>> > sunvnet: Convert to net_device_ops.
> >>> 
> >>> I noticed that there are other drivers's  net_device_ops 
> >>> need to be converted,is these convert nessary?
> >>
> >> Not necessary, but desirable.  Once all drivers are
> >> converted we can remove the compatability code.
> >
> >Just thinking... Would it make sense, at some point before removing the
> >compatibility layer, to add tests for partial conversions?  I noticed
> >the sungem bug just fixed by Stephen Hemminger 
> >( http://permalink.gmane.org/gmane.linux.network/122756 )
> >which could have been caught by the patch below.
> >
> >This will also ease the transition of "driver sets", like usbnet and
> >it's children, where a number of drivers need to make the conversion
> >together.  Don't know if that's a big problem, but it did stop my first
> >attempt to convert usbnet because I was uncertain whether I had caught
> >all of the necessary mini driver conversions.
> >
> >Signed-off-by: Bjørn Mork <[email-masked]>
> >---

I intend to get all drivers in x86 allmodconfig converted, then
change expose the COMPAT_NETDEV_OPS as a config option (which is how
I test). Need to wait until after in tree drivers all converted
because kernel developers expect random configurations to build.